Loading...
Searching...
No Matches
casacore::MeasData Class Reference
measures package (libcasa_measures) » Measures_module » Measures_module_internal_classes

More...

`#include <MeasData.h>`

## Static Public Member Functions

static const RotMatrix & | GALtoB1950 ()
| Get the rotation matrices for galactic coordinates.
static const RotMatrix & | GALtoJ2000 ()
static const RotMatrix & | J2000toGAL ()
static const RotMatrix & | B1950toGAL ()
static const RotMatrix & | MToB1950 (uInt which)
| Get one of the 4 3x3 sub rotation matrices for B1950-J2000 conversions.
static const RotMatrix & | MToJ2000 (uInt which)
static Double | SunSemiDiameter ()
| Get the solar semi diameter at 1 AU in rad.
static Double | eps0J2000 ()
| J2000 obliquity.

## Static Public Attributes

static const Double | MJD2000
| General constants.
static const Double | MJDB1950
| MJD of B1950.0.
static const Double | MJDB1900
| MJD of B1900.0.
static const Double | MJDB1850
| MJD of B1850.0.
static const Double | TROPCEN
| Length Tropical century.
static const Double | JDCEN
| Length Julian century.
static const Double | SECinDAY
| Length of day in sec.

## Private Member Functions

| MeasData ()
| Default constructor, NOT defined.
MeasData & | operator= (const MeasData &other)
| Copy assign, NOT defined.

## Detailed Description

MeasData provides Measure computing data

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25
Test programs:
  tMeasMath

### Prerequisite

- Measure class

### Etymology

MeasData from Measure and Data

### Synopsis

MeasData contains the constant data necessary for precession, nutation and other Measure related calculations.
Database (Table) related data, or data that can be changed by the user, is available in the MeasTable class.
All data. apart from a set of simple constants:

MeasData::MJD2000
MeasData::MJDB1950
MeasData::MJDB1900
MeasData::MJDB1850
MeasData::TROPCEN
MeasData::JDCEN
MeasData::SECinDAY
casacore::MeasData::JDCEN
static const Double JDCEN
Length Julian century.
Definition MeasData.h:114
casacore::MeasData::MJDB1900
static const Double MJDB1900
MJD of B1900.0.
Definition MeasData.h:108
casacore::MeasData::TROPCEN
static const Double TROPCEN
Length Tropical century.
Definition MeasData.h:112
casacore::MeasData::MJD2000
static const Double MJD2000
General constants.
Definition MeasData.h:104
casacore::MeasData::MJDB1950
static const Double MJDB1950
MJD of B1950.0.
Definition MeasData.h:106
casacore::MeasData::SECinDAY
static const Double SECinDAY
Length of day in sec.
Definition MeasData.h:116
casacore::MeasData::MJDB1850
static const Double MJDB1850
MJD of B1850.0.
Definition MeasData.h:110

are obtained by calls to a method. This class contains no constructors or destructors, only static methods and (static) constants.
References:
Explanatory supplements to the Astronomical Almanac
C. Ron and J. Vondrak, Bull. Astron. Inst. Czechosl. 37, p96, 1986
M. Soma, Th. Hirayama and H. Kinoshita, Celest. Mech. 41, p389, 1988
V.S. Gubanov, Astron. Zh. 49, p1112, 1972 (English translation: Sov. Astronomy - AJ, Vol. 16, No. 5, p. 907)

### Example

Usage examples can be found in Precession

### Motivation

To create a clean interface between the actual calculations and the methods to obtain the parameters for these calculations. Note that the tables are in general in the format and units found in the literature. This is to be able to easy check and change them. However, in the future re-arrangement could produce faster and more compact code.

### To Do

- more precise data for VLBI and pulsar

Definition at line 96 of file MeasData.h.

## Constructor & Destructor Documentation

## MeasData()

casacore::MeasData::MeasData | ( |  | ) |

private

Default constructor, NOT defined.

Referenced by operator=().

## Member Function Documentation

## B1950toGAL()

const RotMatrix & casacore::MeasData::B1950toGAL | ( |  | ) |

static

## eps0J2000()

Double casacore::MeasData::eps0J2000 | ( |  | ) |

static

J2000 obliquity.

## GALtoB1950()

const RotMatrix & casacore::MeasData::GALtoB1950 | ( |  | ) |

static

Get the rotation matrices for galactic coordinates.

## GALtoJ2000()

const RotMatrix & casacore::MeasData::GALtoJ2000 | ( |  | ) |

static

## J2000toGAL()

const RotMatrix & casacore::MeasData::J2000toGAL | ( |  | ) |

static

## MToB1950()

const RotMatrix & casacore::MeasData::MToB1950 | ( | uInt | which | ) |

static

Get one of the 4 3x3 sub rotation matrices for B1950-J2000 conversions.

## MToJ2000()

const RotMatrix & casacore::MeasData::MToJ2000 | ( | uInt | which | ) |

static

## operator=()

MeasData & casacore::MeasData::operator= | ( | const MeasData & | other | ) |

private

Copy assign, NOT defined.

References MeasData().

## SunSemiDiameter()

Double casacore::MeasData::SunSemiDiameter | ( |  | ) |

static

Get the solar semi diameter at 1 AU in rad.

## Member Data Documentation

## JDCEN

const Double casacore::MeasData::JDCEN

static

Length Julian century.

Definition at line 114 of file MeasData.h.

## MJD2000

const Double casacore::MeasData::MJD2000

static

General constants.

MJD of J2000.0

Definition at line 104 of file MeasData.h.

## MJDB1850

const Double casacore::MeasData::MJDB1850

static

MJD of B1850.0.

Definition at line 110 of file MeasData.h.

## MJDB1900

const Double casacore::MeasData::MJDB1900

static

MJD of B1900.0.

Definition at line 108 of file MeasData.h.

## MJDB1950

const Double casacore::MeasData::MJDB1950

static

MJD of B1950.0.

Definition at line 106 of file MeasData.h.

## SECinDAY

const Double casacore::MeasData::SECinDAY

static

Length of day in sec.

Definition at line 116 of file MeasData.h.

## TROPCEN

const Double casacore::MeasData::TROPCEN

static

Length Tropical century.

Definition at line 112 of file MeasData.h.

The documentation for this class was generated from the following file:

- measures/Measures/MeasData.h